Subject: Re: bug#49202: guix import go type error (failed regex match?)

From: raingloom <[email-masked]>
Date: Wed, 30 Jun 2021 23:12:05 +0200

On Mon, 28 Jun 2021 18:18:17 +0200
zimoun <[email-masked]> wrote:

> Hi,
> 
> On ven., 25 juin 2021 at 18:40, zimoun <[email-masked]>
> wrote:
> > On jeu., 24 juin 2021 at 01:32, raingloom <[email-masked]>
> > wrote:  
> >> When I run
> >> guix import go -r github.com/golang-migrate/migrate/v4
> >> it works for a looong time (something else to work on I guess.
> >> maybe fetching every git repo is not the best solution.) and then
> >> gives this error:
> >>
> >> In procedure vector-ref: Wrong type argument in position 1
> >> (expecting vector): #f  
> >
> > Using v3 from patch#49196 [1], I get the piece below.  As mentioned
> > by Sarah, the parser seems poor for some dependencies.
> >
> > 1: <http://issues.guix.gnu.org/issue/49196#6>  
> 
> With v4 from patch#4916 [1], I get this messages and the reports seems
> clear enough.  I propose to close this bug and open individual issues
> to tackle each; for instance:
> 
>  - github.com/containerd/containerd
>  - github.com/cockroachdb/cockroach-go
>  - dmitri.shuralyov.com/gpu/mtl
> 
> WDYT?

Fine by me. I turned to a different migrations library in the end, so
this bug isn't very pressing for me, and it's clear that yall know much
more about how the importer works. So however you wanna structure the
bugs, it's fine.